Subject: [rbridge] Use of 802.1ah Encaps

From: sajassi at cisco.com (Ali Sajassi (sajassi))
Date: Thu, 7 Dec 2006 21:02:21 -0800

Gray,

Please let me know if my previous email doesn't answer your question and
if it doesn't, then let me know which portion needs further
clarification.

-Ali 

> -----Original Message-----
> From: Gray, Eric [mailto:Eric.Gray at marconi.com] 
> Sent: Thursday, December 07, 2006 8:01 AM
> To: Don Fedyk; Ali Sajassi (sajassi)
> Cc: Developing a hybrid router/bridge.; Joe Touch
> Subject: RE: [rbridge] Use of 802.1ah Encaps
> 
> Don,
> 
> 	And yet, someone (Ali Sajassi) asserted (in his message 
> dated Wed 12/6/2006 at 2:16 PM EST) that there were no issues 
> or additional complications with using 802.1ah in enterprises 
> for plug-and-play applicability.
> 
> 	Perhaps Ali can answer my question then.
> 
> 	But, to more directly address your earlier comments:
> 
> 	The TRILL WG has NOT come up with an encapsulation that 
> "looks like" 802.1ah - unless someone squints really hard and 
> tries to pretend that two separate Ethernet encapsulations - 
> separated by a SHIM header - are one single encapsulation.
> 
> 	That is not to say that the WG has done anything that 
> could be said to disallow the use of 802.1ah encapsulation.
> It is just not obviously consistent with all of the WG goals 
> to use _only_ 802.1ah encapsulation.
> 
> --
> Eric
> 
> > -----Original Message-----
> > From: Don Fedyk [mailto:dwfedyk at nortel.com]
> > Sent: Thursday, December 07, 2006 9:33 AM
> > To: Gray, Eric; Joe Touch; Ali Sajassi (sajassi)
> > Cc: Developing a hybrid router/bridge.
> > Subject: RE: [rbridge] Use of 802.1ah Encaps
> > 
> > Hi Eric
> > 
> > > -----Original Message-----
> > > From: Gray, Eric [mailto:Eric.Gray at marconi.com]
> > > Sent: Thursday, December 07, 2006 8:38 AM Don,
> > > 
> > > 	Thanks for doing this.  As you can probably attest, this is a 
> > > non-trivial "digging" task to come up with this level of 
> detail.  I 
> > > am not sure why Joe asked for it, but now that you have 
> provided it, 
> > > perhaps you can explain how values would be derived for the B-TAG 
> > > TCI/VID and I-TAG TCI/SID fields if we'd like to deploy this 
> > > technology in
> > "plug-and-play" mode?
> > 
> > I have not given much thought to plug-and-play. My advice would be 
> > learn the current semantics of the fields and see what they 
> offer.  I 
> > don't see why these fields, which offer encapsulation, backwards 
> > compatibility, Connectivity Fault Management (CFM) frames 
> etc are any 
> > worse than similar alternatives.
> > 
> > Don
> > 
> > > 
> > > --
> > > Eric
> > > 
> > ><snipped hopelessly garbled>
> > 
>